# for some reason tarball version mismatch real application version
# upstream knows it but does not fix.
%define tarversion 2.0.2-kde4.4.0

Name:           kmldonkey
Version:        2.0.5
Release:        7%{?dist}
Summary:        Cross-platform graphical user interface for Mldonkey

Group:          Applications/Internet
License:        GPLv2+
URL:            http://userbase.kde.org/KMLDonkey
Source0:        ftp://ftp.kde.org/pub/kde/stable/extragear/%{name}-%{tarversion}.tar.bz2

BuildRequires:  kdelibs4-devel
BuildRequires:  gettext

Requires:  kdebase-workspace
Requires:  mldonkey

%description
%{summary}.
Features:
 *Runs wherever KDE software runs.
 *Can handle multiple threads simultaneously.
 *Integrates with several browsers.
 *Can be used with traffic-shaping tools.
 *Can handle several security options.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -qn %{name}-%{tarversion}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform} DESTDIR=%{buildroot}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmldonkey.desktop

%find_lang %{name} || touch %{name}.lang

%post
/sbin/ldconfig  ||:
update-desktop-database &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
/sbin/ldconfig ||:
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_kde4_bindir}/kmldonkey
%{_kde4_datadir}/kde4/services/plasma-*-kmldonkey.desktop
%{_kde4_datadir}/applications/kde4/kmldonkey.desktop
%{_kde4_appsdir}/kmldonkey
%{_kde4_iconsdir}/hicolor/*/apps/kmldonkey.png
%{_kde4_libdir}/liblibkmldonkey.so.*
%{_kde4_libdir}/kde4/plasma_*_kmldonkey.so

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/liblibkmldonkey.so
%{_kde4_includedir}/kmldonkey


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Feb 26 2011 Dmitrij S. Kryzhevich <krege@land.ru> 2.0.5-3
- Fix Requires for -devel.

* Thu Feb 17 2011 Dmitrij S. Kryzhevich <krege@land.ru> 2.0.5-2
- Fix BR. Move kdebase-workspace-devel in BR to kdebase-workspace in Requires.

* Wed Feb 16 2011 Dmitrij S. Kryzhevich <krege@land.ru> 2.0.5-1
- First try.
